#!/bin/sh

#product version compare
if [ `grep 'version=' ./version | cut -b -13` != `grep 'version=' /usr/cfg/versionback | cut -b -13` ];then 
echo "====================Product version not match! Don't update!======================="
exit 0
fi


if [ -z `find /mnt/sd/update/ -maxdepth 1 -name upginfo` ];then

	echo "====================first update!======================="
	
	if [ -f "/usr/cfg/IMX323" ]; then
				echo "====================323!======================="
				echo "-UPD- TRENDVISION_TUBE_323 Update"
				mv /mnt/sd/update/no_upginfo_323 /mnt/sd/update/upginfo
				mv /mnt/sd/update/rootfs_323 /mnt/sd/update/rootfs
  else
				echo "====================227!======================="
				echo "-UPD- TRENDVISION_TUBE_227 Update"
        mv /mnt/sd/update/no_upginfo_227 /mnt/sd/update/upginfo
				mv /mnt/sd/update/rootfs_227 /mnt/sd/update/rootfs
  fi
	
	cp /usr/bin/*.sh /mnt/sd/update/tmp/usr/bin/
	cp /usr/bin/*.conf /mnt/sd/update/tmp/usr/bin/
	cp /usr/cfg/* /mnt/sd/update/tmp/usr/cfg/
	
	sync
	echo "====================first update end!======================="
	
else

	echo "====================second update!======================="

	rm /mnt/sd/update/tmp/usr/cfg/osd*
	rm /mnt/sd/update/tmp/usr/cfg/version*
	rm /usr/cfg/*.hwinf
     	
	cp /mnt/sd/update/tmp/usr/* /usr/ -rf
        
	cp /mnt/sd/update/version /usr/cfg	
	rm /mnt/sd/update.tar.gz
	rm -rf /mnt/sd/update
	
	echo "====================second update end!======================="
fi

sync
reboot
